Create Barcode
curl --request POST \
--url https://api.decodahealth.com/inventory/stocks/{stock_id}/barcodes \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--header 'TENANT: <tenant>' \
--data '
{
"barcodeValue": "<string>",
"description": "<string>",
"supplierToStockUomId": "<string>"
}
'import requests
url = "https://api.decodahealth.com/inventory/stocks/{stock_id}/barcodes"
payload = {
"barcodeValue": "<string>",
"description": "<string>",
"supplierToStockUomId": "<string>"
}
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
barcodeValue: '<string>',
description: '<string>',
supplierToStockUomId: '<string>'
})
};
fetch('https://api.decodahealth.com/inventory/stocks/{stock_id}/barcodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"barcodeValue": "<string>",
"id": "<string>",
"stockId": "<string>",
"description": "<string>",
"supplierToStockUomId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"isArchived": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Stock
Create Barcode
Create a new barcode for a stock item.
POST
/
inventory
/
stocks
/
{stock_id}
/
barcodes
Create Barcode
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Body
application/json
Type of barcode
Available options:
UPC_A, EAN_13, GS1_DATAMATRIX, GS1_128, ITF_14, CODE_128, QR_CODE, INTERNAL The actual barcode string
Human label for the barcode
Optional packaging-level link
Response
Successful Response
Type of barcode
Available options:
UPC_A, EAN_13, GS1_DATAMATRIX, GS1_128, ITF_14, CODE_128, QR_CODE, INTERNAL The actual barcode string
Unique identifier
ID of the stock this barcode identifies
Human label for the barcode
Optional packaging-level link
⌘I
